Commit 0664f3ef authored by Lorenz Kapsner's avatar Lorenz Kapsner
Browse files

docs: updated description; added cran-comments

parent 08f0f1bc
Pipeline #19594 passed with stage
in 5 seconds
......@@ -10,3 +10,4 @@
^\.github$
^tic\.R$
^CRAN-RELEASE$
^cran-comments\.md$
......@@ -27,4 +27,5 @@ inst/doc
!/.github/
!/tic.R
docs/
!/CHANGELOG.md
\ No newline at end of file
!/NEWS.md
!/cran-comments.md
Package: DIZutils
Title: Utilities for 'DIZ' R Package Development
Version: 0.0.5.9004
Date: 2020-11-13
Version: 0.0.6
Date: 2020-11-17
Authors@R:
c(person(given = "Jonathan M.",
family = "Mang",
......@@ -25,11 +25,11 @@ License: GPL-3
URL: https://github.com/miracum/misc-dizutils
BugReports: https://github.com/miracum/misc-dizutils/issues
Depends:
R (>= 2.10)
R (>= 3.1.0)
Imports:
config,
data.table,
DBI,
DBI (>= 1.1.0),
RJDBC,
RPostgres,
shiny,
......
## R CMD check results
There were no ERRORs or WARNINGs.
......@@ -34,7 +34,7 @@ my_desc$set_authors(c(
my_desc$del("Maintainer")
# Set the version
my_desc$set_version("0.0.5.9004")
my_desc$set_version("0.0.6")
# The title of your package
my_desc$set(Title = "Utilities for 'DIZ' R Package Development")
......@@ -90,7 +90,7 @@ usethis::use_gpl3_license(name="Universitätsklinikum Erlangen")
## You can see the currently attached packages with search().
# Depends
usethis::use_package("R", min_version = "2.10", type = "Depends")
usethis::use_package("R", min_version = "3.1.0", type = "Depends")
## Imports
usethis::use_package("data.table", type = "Imports")
......@@ -98,7 +98,7 @@ usethis::use_package("data.table", type = "Imports")
# usethis::use_package("ggpubr", type = "Imports")
# usethis::use_package("magrittr", type = "Imports")
# usethis::use_package("polynom", type = "Imports")
usethis::use_package("DBI", type="Imports")
usethis::use_package("DBI", type="Imports", min_version = "1.1.0")
usethis::use_package("RJDBC", type = "Imports")
usethis::use_package("RPostgres", type = "Imports")
usethis::use_package("shiny", type = "Imports")
......@@ -119,6 +119,8 @@ usethis::use_build_ignore(".lintr")
usethis::use_build_ignore(".spelling")
usethis::use_build_ignore("tic.R")
usethis::use_build_ignore(".github")
usethis::use_build_ignore("cran-comments.md")
# usethis::use_build_ignore("NEWS.md")
# gitignore
usethis::use_git_ignore("/*")
......@@ -144,6 +146,8 @@ usethis::use_git_ignore("/.vscode")
usethis::use_git_ignore("!/.lintr")
usethis::use_git_ignore("!/tic.R")
usethis::use_git_ignore("!/.github/")
usethis::use_git_ignore("!/NEWS.md")
usethis::use_git_ignore("!/cran-comments.md")
# code coverage
# covr::package_coverage()
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment